## libsepol 2.6

=== src/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
LIBDIR ?= $(PREFIX)/lib
SHLIBDIR ?= $(DESTDIR)/lib
RANLIB ?= ranlib
LIBBASE ?= $(shell basename $(LIBDIR))
CILDIR ?= ../cil

VERSION = $(shell cat ../VERSION)
LIBVERSION = 1

LEX = flex
CIL_GENERATED = $(CILDIR)/src/cil_lexer.c

LIBA=libsepol.a 
TARGET=libsepol.so
LIBPC=libsepol.pc
LIBMAP=libsepol.map
LIBSO=$(TARGET).$(LIBVERSION)
OBJS= $(patsubst %.c,%.o,$(sort $(wildcard *.c)))
LOBJS= $(patsubst %.c,%.lo,$(sort $(wildcard *.c)))
CFLAGS ?= -Werror -Wall -W -Wundef -Wshadow -Wmissing-format-attribute -O2

override CFLAGS += -I. -I../include -D_GNU_SOURCE

ifneq ($(DISABLE_CIL),y)
OBJS += $(sort $(patsubst %.c,%.o,$(sort $(wildcard $(CILDIR)/src/*.c)) $(CIL_GENERATED)))
LOBJS += $(sort $(patsubst %.c,%.lo,$(sort $(wildcard $(CILDIR)/src/*.c)) $(CIL_GENERATED)))
override CFLAGS += -I$(CILDIR)/include
endif


all: $(LIBA) $(LIBSO) $(LIBPC)


$(LIBA):  $(OBJS)
	$(AR) rcs $@ $^
	$(RANLIB) $@

$(LIBSO): $(LOBJS) $(LIBMAP)
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $(LOBJS) -Wl,-soname,$(LIBSO),--version-script=$(LIBMAP),-z,defs
	ln -sf $@ $(TARGET) 

$(LIBPC): $(LIBPC).in ../VERSION
	sed -e 's/@VERSION@/$(VERSION)/; s:@prefix@:$(PREFIX):; s:@libdir@:$(LIBBASE):; s:@includedir@:$(INCLUDEDIR):' < $< > $@

$(LIBMAP): $(LIBMAP).in
ifneq ($(DISABLE_CIL),y)
	cp $< $@
else
	sed -e '/^\s*cil_/d' < $< > $@
endif

ifneq ($(DISABLE_CIL),y)
$(CILDIR)/src/cil_lexer.c: $(CILDIR)/src/cil_lexer.l
	$(LEX) -t $< > $@
endif

%.o:  %.c 
	$(CC) $(CFLAGS) -fPIC -c -o $@ $<

%.lo:  %.c
	$(CC) $(CFLAGS) -fPIC -DSHARED -c -o $@ $<

install: all
	test -d $(LIBDIR) || install -m 755 -d $(LIBDIR)
	install -m 644 $(LIBA) $(LIBDIR)
	test -d $(SHLIBDIR) || install -m 755 -d $(SHLIBDIR)
	install -m 755 $(LIBSO) $(SHLIBDIR)
	test -d $(LIBDIR)/pkgconfig || install -m 755 -d $(LIBDIR)/pkgconfig
	install -m 644 $(LIBPC) $(LIBDIR)/pkgconfig
	ln -sf --relative $(SHLIBDIR)/$(LIBSO) $(LIBDIR)/$(TARGET)

relabel:
	/sbin/restorecon $(SHLIBDIR)/$(LIBSO)

clean: 
	-rm -f $(LIBPC) $(LIBMAP) $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(TARGET) $(CIL_GENERATED)

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== debian/changelog ===
libsepol (2.6-2+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS Security Team.
  * Backport upstream fixes for CVE-2021-36084, CVE-2021-36085,
    CVE-2021-36086 & CVE-2021-36087 (Closes: #990526).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 22 Oct 2024 13:30:15 +0800

libsepol (2.6-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/fix_use-after-free_python3.patch: Fix use-after-free when
    using python3 bindings, this was preventing to modify/delete
    bool|iface|user, from upstream (Closes: #846484)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 04 Dec 2016 00:19:56 +0100

libsepol (2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Make the build reproducible (Closes: #825656)
    - Produce more meaningful error messages for conflicting type rules
      (Closes: #832331)
  * debian/libsepol1.symbols: Add the Build-Depends-Package field
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/gbp.conf: Rename git-buildpackage section to buildpackage

 -- Laurent Bigonville <bigon@debian.org>  Thu, 27 Oct 2016 15:54:09 +0200

## libsepol 2.7

=== src/Makefile ===
--- 
+++ 
@@ -30,6 +30,15 @@
 override CFLAGS += -I$(CILDIR)/include
 endif
 
+LD_SONAME_FLAGS=-soname,$(LIBSO),--version-script=$(LIBMAP),-z,defs
+
+LN=ln
+OS := $(shell uname)
+ifeq ($(OS), Darwin)
+LD_SONAME_FLAGS=-install_name,$(LIBSO)
+LDFLAGS += -undefined dynamic_lookup
+LN=gln
+endif
 
 all: $(LIBA) $(LIBSO) $(LIBPC)
 
@@ -39,7 +48,7 @@
 	$(RANLIB) $@
 
 $(LIBSO): $(LOBJS) $(LIBMAP)
-	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $(LOBJS) -Wl,-soname,$(LIBSO),--version-script=$(LIBMAP),-z,defs
+	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $(LOBJS) -Wl,$(LD_SONAME_FLAGS)
 	ln -sf $@ $(TARGET) 
 
 $(LIBPC): $(LIBPC).in ../VERSION
@@ -53,8 +62,15 @@
 endif
 
 ifneq ($(DISABLE_CIL),y)
+$(CILDIR)/src/cil_lexer.o: $(CILDIR)/src/cil_lexer.c
+	$(CC) $(filter-out -Werror, $(CFLAGS)) -fPIC -c -o $@ $<
+
+$(CILDIR)/src/cil_lexer.lo: $(CILDIR)/src/cil_lexer.c
+	$(CC) $(filter-out -Werror, $(CFLAGS)) -fPIC -DSHARED -c -o $@ $<
+
 $(CILDIR)/src/cil_lexer.c: $(CILDIR)/src/cil_lexer.l
-	$(LEX) -t $< > $@
+	$(LEX) -o $@ $<
+
 endif
 
 %.o:  %.c 
@@ -70,7 +86,7 @@
 	install -m 755 $(LIBSO) $(SHLIBDIR)
 	test -d $(LIBDIR)/pkgconfig || install -m 755 -d $(LIBDIR)/pkgconfig
 	install -m 644 $(LIBPC) $(LIBDIR)/pkgconfig
-	ln -sf --relative $(SHLIBDIR)/$(LIBSO) $(LIBDIR)/$(TARGET)
+	$(LN) -sf --relative $(SHLIBDIR)/$(LIBSO) $(LIBDIR)/$(TARGET)
 
 relabel:
 	/sbin/restorecon $(SHLIBDIR)/$(LIBSO)

=== tests/Makefile ===
M4 ?= m4
MKDIR ?= mkdir
EXE ?= libsepol-tests

CFLAGS += -g3 -gdwarf-2 -O0 -Wall -W -Wundef -Wmissing-noreturn -Wmissing-format-attribute -Wno-unused-parameter -Werror

# Statically link libsepol on the assumption that we are going to
# be testing internal functions.
LIBSEPOL := ../src/libsepol.a

# In order to load source policies we need to link in the checkpolicy/checkmodule parser and util code.
# This is less than ideal, but it makes the tests easier to maintain by allowing source policies
# to be loaded directly.
CHECKPOLICY := ../../checkpolicy/
override CPPFLAGS += -I../include/ -I$(CHECKPOLICY)

# test program object files
objs := $(patsubst %.c,%.o,$(sort $(wildcard *.c)))
parserobjs := $(CHECKPOLICY)queue.o $(CHECKPOLICY)y.tab.o \
	$(CHECKPOLICY)parse_util.o $(CHECKPOLICY)lex.yy.o \
	$(CHECKPOLICY)policy_define.o $(CHECKPOLICY)module_compiler.o

# test policy pieces
m4support := $(wildcard policies/support/*.spt)
testsuites := $(wildcard policies/test-*)
policysrc := $(foreach path,$(testsuites),$(wildcard $(path)/*.conf))
stdpol := $(addsuffix .std,$(policysrc))
mlspol := $(addsuffix .mls,$(policysrc))
policies := $(stdpol) $(mlspol)

all: $(EXE) $(policies)
policies: $(policies)

$(EXE): $(objs) $(parserobjs) $(LIBSEPOL)
	$(CC) $(LDFLAGS) $(objs) $(parserobjs) -lcunit -lcurses $(LIBSEPOL) -o $@

%.conf.std: $(m4support) %.conf
	$(M4) $(M4PARAMS) $^ > $@

%.conf.mls: $(m4support) %.conf
	$(M4) $(M4PARAMS) -D enable_mls $^ > $@

clean: 
	rm -f $(objs) $(EXE)
	rm -f $(policies)
	rm -f policies/test-downgrade/policy.hi policies/test-downgrade/policy.lo
	

test: $(EXE) $(policies)
	$(MKDIR) -p policies/test-downgrade
	../../checkpolicy/checkpolicy -M policies/test-cond/refpolicy-base.conf -o policies/test-downgrade/policy.hi	
	./$(EXE)

.PHONY: all policies clean test

=== utils/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
BINDIR ?= $(PREFIX)/bin

CFLAGS ?= -Wall -Werror
override CFLAGS += -I../include
override LDFLAGS += -L../src
override LDLIBS += -lsepol

TARGETS=$(patsubst %.c,%,$(sort $(wildcard *.c)))

all: $(TARGETS)

install: all
	-mkdir -p $(BINDIR)
	install -m 755 $(TARGETS) $(BINDIR)

clean:
	-rm -f $(TARGETS) *.o 

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel:

=== debian/changelog ===
libsepol (2.7-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Remove Manoj from the uploader list and add myself
    instead. Thanks to him for all the work in the past.
  * Bump debhelper compatibility to 10
  * Bump Standards-Version to 4.1.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 09 Sep 2017 22:10:08 +0200

libsepol (2.7~rc2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate
    - Drop debian/patches/fix_use-after-free_python3.patch: applied upstream
    - debian/libsepol1.symbols: Update the .symbols file
  * debian/watch: Add support for rc releases and use macros
  * Bump Standards-Version to 4.0.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 Jun 2017 21:16:04 +0200

=== debian/control ===
Source: libsepol
VCS-Git: https://anonscm.debian.org/git/selinux/libsepol.git
VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/libsepol.git;a=summary
Priority: optional
Section: libs
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>, Russell Coker <russell@coker.com.au>
Standards-Version: 4.1.0
Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.0), file, flex
Homepage: http://userspace.selinuxproject.org/

Package: sepol-utils
Section: admin
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Security Enhanced Linux policy utility programs
 This package provides a utility for a Security-enhanced
 Linux system to rewrite existing mandatory access control policy with
 different boolean setting, generating a new policy. Security-enhanced
 Linux is a patch of the Linux kernel and a number of utilities with
 enhanced security functionality designed to add mandatory access
 controls to Linux. This package provides utility programs to get and
 set process and file security contexts and to obtain security policy
 decisions.

Package: libsepol1
Priority: required
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: SELinux library for manipulating binary security policies
 Security-enhanced Linux is a patch of the Linux kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access
 Control, and Multi-level Security.
 .
 libsepol provides an API for the manipulation of SELinux binary policies.
 It is used by checkpolicy (the policy compiler) and similar tools, as well
 as by programs like load_policy that need to perform specific transformations
 on binary policies such as customizing policy boolean settings.

Package: libsepol1-dev
Section: libdevel
Architecture: linux-any
Depends: libsepol1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: libsepol-dev
Conflicts: libsepol-dev
Multi-Arch: same
Description: SELinux binary policy manipulation library and development files
 libsepol allows programs to easily modify SELinux binary policies.  This
 means changing the default values for booleans, or reading the policy for
 analysis.
 .
 This package contains the headers and archives used for linking it into your
 programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DESTDIR = $(CURDIR)/debian/tmp
export LIBDIR=$${DESTDIR}/usr/lib/${DEB_HOST_MULTIARCH}
export SHLIBDIR=$${DESTDIR}/lib/${DEB_HOST_MULTIARCH}
export LIBBASE=lib/${DEB_HOST_MULTIARCH}

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

# for cross compilation
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
export CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -f $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libsepol.so
	ln -s /lib/$(DEB_HOST_MULTIARCH)/libsepol.so.1 $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libsepol.so

override_dh_install:
	dh_install --list-missing

override_dh_auto_test:

## libsepol 2.8

=== debian/changelog ===
libsepol (2.8-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/sctp, merged upstream
    - debian/libsepol1.symbols: Add new exported symbols
  * debian/control: Point Vcs-* fields to new (salsa) machine
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)
  * debian/rules: Adjust to match upstream changes to the build system
  * debian/rules: Use dh_missing --list-missing instead of dh_install
  * debian/control: Downgrade libsepol1 to Priority: optional
  * debian/copyright: Fix a spelling error, thanks to lintian

 -- Laurent Bigonville <bigon@debian.org>  Mon, 28 May 2018 14:52:00 +0200

libsepol (2.7-2) unstable; urgency=medium

  * https://marc.info/?l=selinux&m=152078548332657&q=raw
    Add the above patch for sctp support as part of fixing bug 895988.

 -- Russell Coker <russell@coker.com.au>  Sat, 19 May 2018 10:08:20 +1000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: libsepol
-VCS-Git: https://anonscm.debian.org/git/selinux/libsepol.git
-VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/libsepol.git;a=summary
+VCS-Git: https://salsa.debian.org/selinux-team/libsepol.git
+VCS-Browser: https://salsa.debian.org/selinux-team/libsepol
 Priority: optional
 Section: libs
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>, Russell Coker <russell@coker.com.au>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.0), file, flex
 Homepage: http://userspace.selinuxproject.org/
 
@@ -24,7 +24,6 @@
  decisions.
 
 Package: libsepol1
-Priority: required
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export LIBDIR=/usr/lib/${DEB_HOST_MULTIARCH}
export SHLIBDIR=/lib/${DEB_HOST_MULTIARCH}

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

# for cross compilation
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
export CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_test:

## libsepol 2.9

=== debian/changelog ===
libsepol (2.9-2) unstable; urgency=medium

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Sat, 06 Jul 2019 17:57:55 +0200

libsepol (2.9-1) experimental; urgency=medium

  * New upstream release
  * debian/watch: Adjust the URL
  * debian/control: Bump Standards-Version to 4.3.0 (no further changes)
  * debian/sepol-utils.install: Install manpages in Russian

 -- Laurent Bigonville <bigon@debian.org>  Sun, 17 Mar 2019 19:09:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: libs
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>, Russell Coker <russell@coker.com.au>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.0), file, flex
 Homepage: http://userspace.selinuxproject.org/

## libsepol 3.0

=== debian/changelog ===
libsepol (3.0-1) unstable; urgency=medium

  * New upstream release
    - debian/libsepol1.symbols: Add newly exported symbols
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 12, remove override for dh_missing
  * debian/control: Drop explicit build-dep against dpkg-dev (>= 1.16.0), that
    version is available for age

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Dec 2019 15:47:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Section: libs
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>, Russell Coker <russell@coker.com.au>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.0), file, flex
+Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 12), file, flex
 Homepage: http://userspace.selinuxproject.org/
 
 Package: sepol-utils

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,4 @@
 %:
 	dh $@
 
-override_dh_missing:
-	dh_missing --list-missing
-
 override_dh_auto_test:

## libsepol 3.1

=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # Installation directories.
-PREFIX ?= $(DESTDIR)/usr
+PREFIX ?= /usr
 INCLUDEDIR ?= $(PREFIX)/include
 LIBDIR ?= $(PREFIX)/lib
-SHLIBDIR ?= $(DESTDIR)/lib
+SHLIBDIR ?= /lib
 RANLIB ?= ranlib
-LIBBASE ?= $(shell basename $(LIBDIR))
 CILDIR ?= ../cil
 
 VERSION = $(shell cat ../VERSION)
@@ -20,7 +19,7 @@
 LIBSO=$(TARGET).$(LIBVERSION)
 OBJS= $(patsubst %.c,%.o,$(sort $(wildcard *.c)))
 LOBJS= $(patsubst %.c,%.lo,$(sort $(wildcard *.c)))
-CFLAGS ?= -Werror -Wall -W -Wundef -Wshadow -Wmissing-format-attribute -O2
+CFLAGS ?= -Werror -Wall -W -Wundef -Wshadow -Wmissing-format-attribute -O2 -fno-semantic-interposition
 
 override CFLAGS += -I. -I../include -D_GNU_SOURCE
 
@@ -52,7 +51,7 @@
 	ln -sf $@ $(TARGET) 
 
 $(LIBPC): $(LIBPC).in ../VERSION
-	sed -e 's/@VERSION@/$(VERSION)/; s:@prefix@:$(PREFIX):; s:@libdir@:$(LIBBASE):; s:@includedir@:$(INCLUDEDIR):' < $< > $@
+	sed -e 's/@VERSION@/$(VERSION)/; s:@prefix@:$(PREFIX):; s:@libdir@:$(LIBDIR):; s:@includedir@:$(INCLUDEDIR):' < $< > $@
 
 $(LIBMAP): $(LIBMAP).in
 ifneq ($(DISABLE_CIL),y)
@@ -80,16 +79,16 @@
 	$(CC) $(CFLAGS) -fPIC -DSHARED -c -o $@ $<
 
 install: all
-	test -d $(LIBDIR) || install -m 755 -d $(LIBDIR)
-	install -m 644 $(LIBA) $(LIBDIR)
-	test -d $(SHLIBDIR) || install -m 755 -d $(SHLIBDIR)
-	install -m 755 $(LIBSO) $(SHLIBDIR)
-	test -d $(LIBDIR)/pkgconfig || install -m 755 -d $(LIBDIR)/pkgconfig
-	install -m 644 $(LIBPC) $(LIBDIR)/pkgconfig
-	$(LN) -sf --relative $(SHLIBDIR)/$(LIBSO) $(LIBDIR)/$(TARGET)
+	test -d $(DESTDIR)$(LIBDIR) || install -m 755 -d $(DESTDIR)$(LIBDIR)
+	install -m 644 $(LIBA) $(DESTDIR)$(LIBDIR)
+	test -d $(DESTDIR)$(SHLIBDIR) || install -m 755 -d $(DESTDIR)$(SHLIBDIR)
+	install -m 755 $(LIBSO) $(DESTDIR)$(SHLIBDIR)
+	test -d $(DESTDIR)$(LIBDIR)/pkgconfig || install -m 755 -d $(DESTDIR)$(LIBDIR)/pkgconfig
+	install -m 644 $(LIBPC) $(DESTDIR)$(LIBDIR)/pkgconfig
+	$(LN) -sf --relative $(DESTDIR)$(SHLIBDIR)/$(LIBSO) $(DESTDIR)$(LIBDIR)/$(TARGET)
 
 relabel:
-	/sbin/restorecon $(SHLIBDIR)/$(LIBSO)
+	/sbin/restorecon $(DESTDIR)$(SHLIBDIR)/$(LIBSO)
 
 clean: 
 	-rm -f $(LIBPC) $(LIBMAP) $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(TARGET) $(CIL_GENERATED)

=== debian/changelog ===
libsepol (3.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Add -fno-semantic-interposition to the CFLAGS
    (Closes: #961329)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 14 Jul 2020 15:44:40 +0200

libsepol (3.1~rc1-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Set upstream metadata fields: Bug-Submit.

  [ Laurent Bigonville ]
  * New upstream version 3.1~rc1 (Closes: #955286, #955154)
  * debian/gitlab-ci.yml: Add salsa CI
  * debian/control: Set Rules-Requires-Root: no
  * debian/rules: Do not override CC when cross-compiling, debhelper is
    already doing that for us.

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.12.24-1, 1.8-1.
  * Update standards version to 4.5.0, no changes needed.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 23 May 2020 10:30:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Section: libs
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>, Russell Coker <russell@coker.com.au>
-Standards-Version: 4.4.1
-Build-Depends: debhelper (>= 12), file, flex
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), file, flex
 Homepage: http://userspace.selinuxproject.org/
+Rules-Requires-Root: no
 
 Package: sepol-utils
 Section: admin

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export LIBDIR=/usr/lib/${DEB_HOST_MULTIARCH}
export SHLIBDIR=/lib/${DEB_HOST_MULTIARCH}

# Upstream recommends using this flag
export DEB_CFLAGS_MAINT_APPEND = -fno-semantic-interposition
# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@

override_dh_auto_test:

## libsepol 3.3

=== src/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CILDIR ?= ../cil
 
 VERSION = $(shell cat ../VERSION)
-LIBVERSION = 1
+LIBVERSION = 2
 
 LEX = flex
 CIL_GENERATED = $(CILDIR)/src/cil_lexer.c

=== debian/changelog ===
libsepol (3.3-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:13:49 +0100

libsepol (3.3-1) unstable; urgency=medium

  * debian/libsepol2.symbols: Fix the name of the -dev package, ouupsie
  * New upstream version 3.3 (Closes: #989434, #990526, CVE-2021-36084,
    CVE-2021-36085, CVE-2021-36086, CVE-2021-36087)
  * debian/libsepol2.symbols: Add newly exported symbols

 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Nov 2021 22:40:09 +0100

libsepol (3.2-1) experimental; urgency=medium

  [ Christian Göttsche ]
  * d/gitlab-ci.yml: Use Debian recipe
  * d/control: Bump debhelper compat to level 13
  * d/control: Bump Standards-Version to 4.5.1 (no further changes)
  * d/control: Update homepage
  * d/rules: Enable build hardening
  * d/rules: Enable -Wall -Wextra
  * d/control: Convert cute fields

  [ Laurent Bigonville ]
  * New upstream version 3.2
  * debian/watch: Update the URL to follow the new tagging format
  * Bump soname of the library to 2.Drop removed symbols from the .symbols
    file, also remove the soname from the -dev package and add the necessary
    Breaks/Replaces

 -- Laurent Bigonville <bigon@debian.org>  Sat, 24 Apr 2021 12:47:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libsepol
-VCS-Git: https://salsa.debian.org/selinux-team/libsepol.git
-VCS-Browser: https://salsa.debian.org/selinux-team/libsepol
+Vcs-Git: https://salsa.debian.org/selinux-team/libsepol.git
+Vcs-Browser: https://salsa.debian.org/selinux-team/libsepol
 Priority: optional
 Section: libs
-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>, Russell Coker <russell@coker.com.au>
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12), file, flex
-Homepage: http://userspace.selinuxproject.org/
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), file, flex
+Homepage: https://selinuxproject.org
 Rules-Requires-Root: no
 
 Package: sepol-utils
@@ -24,7 +25,7 @@
  set process and file security contexts and to obtain security policy
  decisions.
 
-Package: libsepol1
+Package: libsepol2
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -45,12 +46,12 @@
  as by programs like load_policy that need to perform specific transformations
  on binary policies such as customizing policy boolean settings.
 
-Package: libsepol1-dev
+Package: libsepol-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libsepol1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Provides: libsepol-dev
-Conflicts: libsepol-dev
+Depends: libsepol2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Breaks: libsepol1-dev (<< 3.2)
+Replaces: libsepol1-dev (<< 3.2)
 Multi-Arch: same
 Description: SELinux binary policy manipulation library and development files
  libsepol allows programs to easily modify SELinux binary policies.  This

## libsepol 3.4

=== tests/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+ENV ?= env
 M4 ?= m4
 MKDIR ?= mkdir
 EXE ?= libsepol-tests
@@ -32,7 +33,7 @@
 policies: $(policies)
 
 $(EXE): $(objs) $(parserobjs) $(LIBSEPOL)
-	$(CC) $(LDFLAGS) $(objs) $(parserobjs) -lcunit -lcurses $(LIBSEPOL) -o $@
+	$(CC) $(LDFLAGS) $(objs) $(parserobjs) -lcunit $(LIBSEPOL) -o $@
 
 %.conf.std: $(m4support) %.conf
 	$(M4) $(M4PARAMS) $^ > $@
@@ -44,10 +45,15 @@
 	rm -f $(objs) $(EXE)
 	rm -f $(policies)
 	rm -f policies/test-downgrade/policy.hi policies/test-downgrade/policy.lo
-	
 
+# mkdir is run in a clean environment created by env -i to avoid failing under ASan with:
+#
+#   ASan runtime does not come first in initial library list;
+#   you should either link runtime to your application or manually preload it with LD_PRELOAD
+#
+# when the source code is built with ASan
 test: $(EXE) $(policies)
-	$(MKDIR) -p policies/test-downgrade
+	$(ENV) -i $(MKDIR) -p policies/test-downgrade
 	../../checkpolicy/checkpolicy -M policies/test-cond/refpolicy-base.conf -o policies/test-downgrade/policy.hi	
 	./$(EXE)

=== debian/changelog ===
libsepol (3.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Inaccurate copyright file" (Closes: #1031798)

 -- Tobias Frost <tobi@debian.org>  Wed, 24 May 2023 16:43:03 +0200

libsepol (3.4-2) unstable; urgency=medium

  * fix validation of user declarations in modules, patch proposed upstream
    (Closes: #1012503)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 15 Jun 2022 09:56:48 +0200

libsepol (3.4-1) unstable; urgency=medium

  * New upstream release
    - debian/libsepol2.symbols: Add newly exported symbols
  * Enable GPG key validation of the upstream tarball
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jun 2022 11:12:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Vcs-Browser: https://salsa.debian.org/selinux-team/libsepol
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
+Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>, Russell Coker <russell@coker.com.au>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13), file, flex
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export LIBDIR=/usr/lib/${DEB_HOST_MULTIARCH}
export SHLIBDIR=/lib/${DEB_HOST_MULTIARCH}

# Upstream recommends using this flag
export DEB_CFLAGS_MAINT_APPEND = -fno-semantic-interposition
# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags. Also enable Wall and Wextra to spot basic irregularities.
export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS) -Wall -Wextra

%:
	dh $@

override_dh_auto_test:

## libsepol 3.5

=== utils/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Installation directories.
-PREFIX ?= $(DESTDIR)/usr
+PREFIX ?= /usr
 BINDIR ?= $(PREFIX)/bin
 
 CFLAGS ?= -Wall -Werror
@@ -12,8 +12,8 @@
 all: $(TARGETS)
 
 install: all
-	-mkdir -p $(BINDIR)
-	install -m 755 $(TARGETS) $(BINDIR)
+	-mkdir -p $(DESTDIR)$(BINDIR)
+	install -m 755 $(TARGETS) $(DESTDIR)$(BINDIR)
 
 clean:
 	-rm -f $(TARGETS) *.o

=== debian/changelog ===
libsepol (3.5-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:07:01 +0200

libsepol (3.5-2) unstable; urgency=medium

  * Move libsepol.so.2 to /usr.
    The move is done directly (without using dh_movetousr) as I don't think
    we'll have to backport this package. (Closes: #1055921)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 24 Nov 2023 15:46:38 +0100

libsepol (3.5-1) unstable; urgency=medium

  * New upstream release
    - Drop d/p/0001-libsepol-fix-validation-of-user-declarations-in-modu.patch:
      applied upstream
  * debian/upstream/signing-key.asc: Add public key of Jason Zaman
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 08 Jul 2023 22:44:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Vcs-Browser: https://salsa.debian.org/selinux-team/libsepol
 Priority: optional
 Section: libs
-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>, Russell Coker <russell@coker.com.au>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), file, flex
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no

## libsepol 3.7

=== debian/changelog ===
libsepol (3.7-1) unstable; urgency=medium

  * New upstream release
  * Removed the ru man directory

 -- Russell Coker <russell@coker.com.au>  Tue, 06 Aug 2024 22:09:08 +1000

## libsepol 3.8

=== debian/changelog ===
libsepol (3.8-1) unstable; urgency=medium

  * New upstream release:
    Support nlmsg extended permissions
    Add policy capability netlink_xperm
    add support for xperms in conditional policies

 -- Russell Coker <russell@coker.com.au>  Thu, 06 Feb 2025 19:24:17 +1100

libsepol (3.7-2) unstable; urgency=medium

  * Updated libsepol2.symbols for the latest entrypoints
  * Add extra upstream signing key for Petr Lautrbach

 -- Russell Coker <russell@coker.com.au>  Fri, 23 Aug 2024 18:00:54 +1000

## libsepol 3.8.1

=== src/Makefile ===
--- 
+++ 
@@ -29,6 +29,12 @@
 override CFLAGS += -I$(CILDIR)/include
 endif
 
+# check for reallocarray(3) availability
+H := \#
+ifeq (yes,$(shell printf '${H}include <stdlib.h>\nint main(void){return reallocarray(NULL,0,0)==NULL;}' | $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -Werror=implicit-function-declaration -x c -o /dev/null - >/dev/null 2>&1 && echo yes))
+override CFLAGS += -DHAVE_REALLOCARRAY
+endif
+
 LD_SONAME_FLAGS=-soname,$(LIBSO),--version-script=$(LIBMAP),-z,defs
 
 LN=ln
@@ -47,7 +53,7 @@
 	$(RANLIB) $@
 
 $(LIBSO): $(LOBJS) $(LIBMAP)
-	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $(LOBJS) -Wl,$(LD_SONAME_FLAGS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -shared -o $@ $(LOBJS) -Wl,$(LD_SONAME_FLAGS)
 	ln -sf $@ $(TARGET) 
 
 $(LIBPC): $(LIBPC).in ../VERSION
@@ -62,10 +68,10 @@
 
 ifneq ($(DISABLE_CIL),y)
 $(CILDIR)/src/cil_lexer.o: $(CILDIR)/src/cil_lexer.c
-	$(CC) $(filter-out -Werror, $(CFLAGS)) -fPIC -c -o $@ $<
+	$(CC) $(filter-out -Werror, $(CPPFLAGS) $(CFLAGS)) -fPIC -c -o $@ $<
 
 $(CILDIR)/src/cil_lexer.lo: $(CILDIR)/src/cil_lexer.c
-	$(CC) $(filter-out -Werror, $(CFLAGS)) -fPIC -DSHARED -c -o $@ $<
+	$(CC) $(filter-out -Werror, $(CPPFLAGS) $(CFLAGS)) -fPIC -DSHARED -c -o $@ $<
 
 $(CILDIR)/src/cil_lexer.c: $(CILDIR)/src/cil_lexer.l
 	$(LEX) -o $@ $<
@@ -73,10 +79,10 @@
 endif
 
 %.o:  %.c 
-	$(CC) $(CFLAGS) -fPIC -c -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -c -o $@ $<
 
 %.lo:  %.c
-	$(CC) $(CFLAGS) -fPIC -DSHARED -c -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -DSHARED -c -o $@ $<
 
 install: all
 	test -d $(DESTDIR)$(LIBDIR) || install -m 755 -d $(DESTDIR)$(LIBDIR)

=== debian/changelog ===
libsepol (3.8.1-1) unstable; urgency=medium

  * New upstream release, only version number change

 -- Russell Coker <russell@coker.com.au>  Sun, 16 Mar 2025 17:23:19 +1100

## libsepol 3.9

=== include/Makefile ===
# Installation directories.
PREFIX ?= /usr
INCDIR = $(PREFIX)/include/sepol
CILDIR ?= ../cil

all:

install: all
	test -d $(DESTDIR)$(INCDIR) || install -m 755 -d $(DESTDIR)$(INCDIR)
	test -d $(DESTDIR)$(INCDIR)/policydb || install -m 755 -d $(DESTDIR)$(INCDIR)/policydb
	test -d $(DESTDIR)$(INCDIR)/cil || install -m 755 -d $(DESTDIR)$(INCDIR)/cil
	install -m 644 $(wildcard sepol/*.h) $(DESTDIR)$(INCDIR)
	install -m 644 $(wildcard sepol/policydb/*.h) $(DESTDIR)$(INCDIR)/policydb
	install -m 644 $(wildcard $(CILDIR)/include/cil/*.h) $(DESTDIR)$(INCDIR)/cil

indent:
	../../scripts/Lindent $(wildcard sepol/*.h)

=== src/Makefile ===
--- 
+++ 
@@ -45,7 +45,10 @@
 LN=gln
 endif
 
-all: $(LIBA) $(LIBSO) $(LIBPC)
+all: $(LIBA) $(LIBPC)
+ifneq ($(DISABLE_SHARED),y)
+all: $(LIBSO)
+endif
 
 
 $(LIBA):  $(OBJS)
@@ -87,11 +90,13 @@
 install: all
 	test -d $(DESTDIR)$(LIBDIR) || install -m 755 -d $(DESTDIR)$(LIBDIR)
 	install -m 644 $(LIBA) $(DESTDIR)$(LIBDIR)
+	test -d $(DESTDIR)$(LIBDIR)/pkgconfig || install -m 755 -d $(DESTDIR)$(LIBDIR)/pkgconfig
+	install -m 644 $(LIBPC) $(DESTDIR)$(LIBDIR)/pkgconfig
+ifneq ($(DISABLE_SHARED),y)
 	test -d $(DESTDIR)$(SHLIBDIR) || install -m 755 -d $(DESTDIR)$(SHLIBDIR)
 	install -m 755 $(LIBSO) $(DESTDIR)$(SHLIBDIR)
-	test -d $(DESTDIR)$(LIBDIR)/pkgconfig || install -m 755 -d $(DESTDIR)$(LIBDIR)/pkgconfig
-	install -m 644 $(LIBPC) $(DESTDIR)$(LIBDIR)/pkgconfig
 	$(LN) -sf --relative $(DESTDIR)$(SHLIBDIR)/$(LIBSO) $(DESTDIR)$(LIBDIR)/$(TARGET)
+endif
 
 relabel:
 	/sbin/restorecon $(DESTDIR)$(SHLIBDIR)/$(LIBSO)

=== debian/changelog ===
libsepol (3.9-2) unstable; urgency=medium

  * 3.9 upstream release
  * Removed the FSF postal address from copyright.

 -- Russell Coker <russell@coker.com.au>  Fri, 17 Oct 2025 18:11:35 +1100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Vcs-Browser: https://salsa.debian.org/selinux-team/libsepol
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
+Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>, Russell Coker <russell@coker.com.au>
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), file, flex

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export LIBDIR=/usr/lib/${DEB_HOST_MULTIARCH}
-export SHLIBDIR=/lib/${DEB_HOST_MULTIARCH}
+export SHLIBDIR=/usr/lib/${DEB_HOST_MULTIARCH}
 
 # Upstream recommends using this flag
 export DEB_CFLAGS_MAINT_APPEND = -fno-semantic-interposition

## libsepol 3.10

=== Makefile ===
DISABLE_CIL ?= n

export DISABLE_CIL

all: 
	$(MAKE) -C src 
	$(MAKE) -C utils

install: 
	$(MAKE) -C include install
	$(MAKE) -C src install
	$(MAKE) -C utils install
	$(MAKE) -C man install

relabel:
	$(MAKE) -C src relabel

clean:
	$(MAKE) -C src clean
	$(MAKE) -C utils clean
	$(MAKE) -C tests clean

test:
	$(MAKE) -C tests test

=== include/Makefile ===
--- 
+++ 
@@ -12,6 +12,3 @@
 	install -m 644 $(wildcard sepol/*.h) $(DESTDIR)$(INCDIR)
 	install -m 644 $(wildcard sepol/policydb/*.h) $(DESTDIR)$(INCDIR)/policydb
 	install -m 644 $(wildcard $(CILDIR)/include/cil/*.h) $(DESTDIR)$(INCDIR)/cil
-
-indent:
-	../../scripts/Lindent $(wildcard sepol/*.h)

=== src/Makefile ===
--- 
+++ 
@@ -40,6 +40,8 @@
 LN=ln
 OS := $(shell uname)
 ifeq ($(OS), Darwin)
+TARGET=libsepol.dylib
+LIBSO=libsepol.$(LIBVERSION).dylib
 LD_SONAME_FLAGS=-install_name,$(LIBSO)
 LDFLAGS += -undefined dynamic_lookup
 LN=gln
@@ -103,7 +105,3 @@
 
 clean: 
 	-rm -f $(LIBPC) $(LIBMAP) $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(TARGET) $(CIL_GENERATED)
-
-indent:
-	../../scripts/Lindent $(wildcard *.[ch])
-

=== utils/Makefile ===
--- 
+++ 
@@ -18,8 +18,4 @@
 clean:
 	-rm -f $(TARGETS) *.o 
 
-indent:
-	../../scripts/Lindent $(wildcard *.[ch])
-
 relabel:
-

=== debian/changelog ===
libsepol (3.10-1) unstable; urgency=medium

  * New upstream version 3.10

  * d/watch: rewrite in version 5
  * d/u/signing-key.asc: add key from Jason Zaman
  * d/patches: rebase and drop upstream applied patches

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 10 Feb 2026 00:10:53 +0100

libsepol (3.9-3) unstable; urgency=medium

  * debian/control:
    - add myself to uploaders
    - bump Standards-Version to 4.7.3 (no further changes)
    - drop redundant default Rules-Requires-Root setting
    - drop priority field with default setting
    - drop unused dependency variable
  * drop Debian revision from library symbols
  * d/rules: simplify and enable LTO
  * d/patches:
    - apply upstream fix for genfscon asterisks
    - apply upstream policy capability additions
    - add patch to build shared libraries with -fPIC
  * d/copyright: add myself

 -- Christian Göttsche <cgzones@googlemail.com>  Sun, 01 Feb 2026 21:47:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libsepol
 Vcs-Git: https://salsa.debian.org/selinux-team/libsepol.git
 Vcs-Browser: https://salsa.debian.org/selinux-team/libsepol
-Priority: optional
 Section: libs
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>, Russell Coker <russell@coker.com.au>
-Standards-Version: 4.6.2
+Uploaders: Laurent Bigonville <bigon@debian.org>,
+           Russell Coker <russell@coker.com.au>,
+           Christian Göttsche <cgzones@googlemail.com>
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), file, flex
 Homepage: https://selinuxproject.org
-Rules-Requires-Root: no
 
 Package: sepol-utils
 Section: admin
@@ -48,7 +48,7 @@
 Package: libsepol-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libsepol2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libsepol2 (= ${binary:Version}), ${misc:Depends}
 Breaks: libsepol1-dev (<< 3.2)
 Replaces: libsepol1-dev (<< 3.2)
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export LIBDIR=/usr/lib/${DEB_HOST_MULTIARCH}
export SHLIBDIR=/usr/lib/${DEB_HOST_MULTIARCH}

# Upstream recommends using the flag '-fno-semantic-interposition'
# Also enable Wall and Wextra to spot basic irregularities.
export DEB_CFLAGS_MAINT_APPEND = -fno-semantic-interposition -Wall -Wextra

%:
	dh $@

override_dh_auto_test:

=== debian/watch ===
Version: 5
Uversion-Mangle: auto
Pgp-Mode: auto
Source: https://github.com/SELinuxProject/selinux/wiki/Releases
Matching-Pattern: (?:.*)/releases/download/(?:\d\.\d[\.\d]?)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
